<?php

class LPC_Configuration { 
   private $apiToken;
   private $merchantId;
   private $network;

   function __construct( $apiToken, $merchantId, $network = null) {
    $this->apiToken = $apiToken;
    $this->network = $this->LPC_getApiHostProd();
    $this->merchantId = $merchantId;
   }

function LPC_getAPIToken() {
    return $this->apiToken;
}

function LPC_getMerchantId() {
    return $this->merchantId;
}

function LPC_getNetwork() {
    return $this->network;
}

public function LPC_getApiHostProd()
{
    return 'litepay.ch';
}

public function LPC_getInvoiceURL(){
    return $this->network.'/p';
}


} 
?>
