<?php

class LPC_Invoice
{

    public function __construct($item)
    {
        $this->item = $item;

    }

    public function LPC_createInvoice()
    {

        $pluginInfo = $this->item->item_params->extension_version;
        $request_headers = array();
        $request_headers[] = 'X-Litepay-Plugin-Info: ' . $pluginInfo;
        $request_headers[] = 'Content-Type: application/x-www-form-urlencoded';

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://' . $this->item->invoice_endpoint);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $request_headers);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($this->item));
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
        curl_setopt($ch, CURLOPT_TIMEOUT, 100);
        
        $result = curl_exec($ch);
        $this->invoiceData = $result;
        curl_close($ch);

    }

    public function LPC_getInvoiceData()
    {
        return $this->invoiceData;
    }

    public function LPC_getInvoiceID()
    {
        $data = json_decode($this->invoiceData);
        $data = substr($data->url, -36);
        return $data;
    }

    public function LPC_getInvoiceURL()
    {
        $data = json_decode($this->invoiceData);
        return $data->url;
    }

}
